package com.zhyc.module.base.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zhyc.module.base.mapper.BasSheepTypeMapper;
import com.zhyc.module.base.domain.BasSheepType;
import com.zhyc.module.base.service.IBasSheepTypeService;

/**
 * 羊只类型Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-22
 */
@Service
public class BasSheepTypeServiceImpl implements IBasSheepTypeService {
    @Autowired
    private BasSheepTypeMapper basSheepTypeMapper;

    /**
     * 查询羊只类型
     *
     * @param id 羊只类型主键
     * @return 羊只类型
     */
    @Override
    public BasSheepType selectBasSheepTypeById(Integer id) {
        return basSheepTypeMapper.selectBasSheepTypeById(id);
    }

    /**
     * 查询羊只类型列表
     *
     * @param basSheepType 羊只类型
     * @return 羊只类型
     */
    @Override
    public List<BasSheepType> selectBasSheepTypeList(BasSheepType basSheepType) {
        return basSheepTypeMapper.selectBasSheepTypeList(basSheepType);
    }

    /**
     * 新增羊只类型
     *
     * @param basSheepType 羊只类型
     * @return 结果
     */
    @Override
    public int insertBasSheepType(BasSheepType basSheepType) {
        return basSheepTypeMapper.insertBasSheepType(basSheepType);
    }

    /**
     * 修改羊只类型
     *
     * @param basSheepType 羊只类型
     * @return 结果
     */
    @Override
    public int updateBasSheepType(BasSheepType basSheepType) {
        return basSheepTypeMapper.updateBasSheepType(basSheepType);
    }

    /**
     * 批量删除羊只类型
     *
     * @param ids 需要删除的羊只类型主键
     * @return 结果
     */
    @Override
    public int deleteBasSheepTypeByIds(Integer[] ids) {
        return basSheepTypeMapper.deleteBasSheepTypeByIds(ids);
    }

    /**
     * 删除羊只类型信息
     *
     * @param id 羊只类型主键
     * @return 结果
     */
    @Override
    public int deleteBasSheepTypeById(Integer id) {
        return basSheepTypeMapper.deleteBasSheepTypeById(id);
    }

}
